Update secrets in a secret group
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/secret-groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secrets": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/secret-groups/{id}"
payload = { "secrets": [
{
"key": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secrets: [{key: '<string>', value: '<string>'}]})
};
fetch('https://{controlPlaneURL}/api/svc/v1/secret-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"associatedSecrets": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"secretGroupId": "<string>",
"value": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretVersions": [
{
"id": "<string>",
"fqn": "<string>",
"value": "<string>",
"version": 123,
"secret": null,
"secretId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeDeploymentsCount": 123,
"createdBy": "<string>"
}
],
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"fqn": "<string>",
"integrationId": "<string>",
"manifest": {},
"createdBy": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Secret Groups
Update secrets in a secret group
Update secrets in a secret group. A new version is created for each secret with a modified value. Omitted secrets are deleted. Secret values are not returned in the response.
PUT
/
api
/
svc
/
v1
/
secret-groups
/
{id}
Update secrets in a secret group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the secret group.
Body
application/json
Show child attributes
Show child attributes
Response
The updated secret group.
Secret Group
Show child attributes
Show child attributes
Was this page helpful?
⌘I